package feud.testgame.gui;

import feud.testgame.model.*;

/**
 * An extended table for displaying the current scores. Highscores is a stupid for it...anyway...:-)
 */
public class Highscores extends Table {

        /**
         * Create a new instance. A new instance will be created everytime that the score changes.
         * But it's a quite lightweight component, so this shouldn't be a problem.
         * @param hi the HighscoreTable, i.e. the "model" that holds the actual data.
         */
        public Highscores(HighscoreTable hi) {
        super("Highscores", hi.getLineCount()+1, 3, 10,10,320,300);
        this.setColumnSize(0,150);
        this.setColumnSize(1,60);
        this.setColumnSize(2,60);
        this.setRowSize(0,20);
        this.setCell(0,0,"Name");
        this.setCell(0,1,"Kills");
        this.setCell(0,2,"Died");
        for (int i=0; i<hi.getLineCount(); i++) {
            String player=hi.getPlayerName(i);
            int frags=hi.getFrags(i);
            int killed=hi.getKilled(i);
            this.setRowSize(i+1, 16);
            this.setCell(i+1,0,player);
            this.setCell(i+1,1,new Integer(frags));
            this.setCell(i+1,2,new Integer(killed));
        }
    }
}
