package feud.testgame.model;

/**
 * A simple wrapper class for a player's current state, i.e. the name and the number of frags/deaths.
 */
public class PlayerInfo {

    private String name=null;
    private int frags=0;
    private int killed=0;

    /**
     * Create a new player info
     * @param name the player's name
     */
    public PlayerInfo(String name) {
        this.name=name;
    }

    /**
     * Returns the player's name.
     * @return String the name
     */
    public String getName() {
        return name;
    }

    /**
     * Resets the player's info.
     */
    public void reset() {
        frags=0;
        killed=0;
    }

    /**
     * Increment the number of frags.
     */
    public void incFrags() {
        frags++;
    }

    /**
     * Increment the number of deaths.
     */
    public void incKilled() {
        killed++;
    }

    /**
     * Gets the number of frags.
     * @return int the number of frags
     */
    public int getFrags() {
        return frags;
    }

    /**
     * Gets the number of deaths.
     * @return int the number of deaths
     */
    public int getKilled() {
        return killed;
    }
}
