package feud.testgame.view;

import com.threed.jpct.*;

/**
 * A decal is what remains if a bullets hits something. Shamelessly ripped from jPCT's car example.<br>
 * In this example "game", only local bullet will leave decals. Remote bullets won't. And because bullets
 * are view objects only, they are not based on data from a local object and extend Object3D directly.
 */
public class Decal extends Object3D {

   private static final int TRANSPARENCY=0;

   private static long counter=0;
   private static Object3D DECAL=null;
   private long id=0;

   static {
      DECAL=Primitives.getPlane(1,1);
      DECAL.invert();
      DECAL.setTexture("decal");
      DECAL.getMesh().compress();
      DECAL.setTransparency(TRANSPARENCY);
      DECAL.build();
   }

   /**
    * A decal is a plane with a partially transparent texture.
    */
   public Decal() {
      super(DECAL);
      setMesh(DECAL.getMesh());
      setVisibility(Object3D.OBJ_INVISIBLE);
   }

   /**
    * Places the decal
    * @param pos the position of the decal
    */
   public void place(SimpleVector pos) {
      setVisibility(true);
      setOrigin(pos);
      id=counter;
      counter++;
   }

   /**
    * Returns the id. The id is used to determine the age of a decal.
    * @return the id
    */
   public long getDecalID() {
      return id;
   }
}
