package feud.testgame.view;

import com.threed.jpct.*;
import feud.testgame.util.*;

/**
 * A mesh representing a player. Instances are usually created by the ClientObjectFactory.
 */
class EnemyView extends AnimatedObject {

    private static Object3D bluePrint = null;

    static {
        // static initializer that creates a mesh blueprint and loads the textures.
        try {
            SimpleStream ss = new SimpleStream("weapon.jpg");
            TextureManager.getInstance().addTexture("weapon", new Texture(ss.getStream()));
            ss.close();

            ss = new SimpleStream("disco.jpg");
            TextureManager.getInstance().addTexture("disco", new Texture(ss.getStream()));
            ss.close();

            ss = new SimpleStream("snork.md2");
            bluePrint = new ClientObject(Loader.loadMD2(ss.getStream(), 0.32f));
            bluePrint.translate(0, 2.4f, 0);
            bluePrint.translateMesh();
            bluePrint.setTranslationMatrix(new Matrix());
            bluePrint.setTexture("disco");
            ss.close();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    /**
     * Create a new enemy based on the blueprint.
     */
    EnemyView() {
        super(bluePrint);
    }

    /**
     * Create a new enemy based on a base object and weapon.
     * @param obj the base object
     * @param weapon the base weapon
     */
    EnemyView(Object3D obj, Object3D weapon) {
        super(obj, weapon);
    }
}
