package feud.testgame.view;

import com.threed.jpct.*;
import feud.testgame.util.*;

/**
 * A view that represents a weapon. A weapon is view-only. There is no server side representation of it.
 */
public class WeaponView extends Object3D {

    private static Object3D bluePrint = null;

    static {
        try {
            SimpleStream ss = new SimpleStream("weapon.md2");
            bluePrint = new ClientObject(Loader.loadMD2(ss.getStream(), 0.32f));//
            bluePrint.translate(0, 2.4f, 0);
            bluePrint.translateMesh();
            bluePrint.setTranslationMatrix(new Matrix());
            bluePrint.setTexture("weapon");
            ss.close();
        } catch(Exception e) {
            e.printStackTrace();
        }
    }

    /**
     * Creates a new weapon view.
     */
    public WeaponView() {
        super(bluePrint);
    }
}
